cURL
curl --request POST \
--url https://api.tilt.io/api/v1/custom/org/{organization_uuid}/asset_classes/ \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"benchmark_index_identifier": "<string>",
"index_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tilt_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"single_security_tilt_asset_id": "<string>",
"event_contract_tilt_asset_id": "<string>",
"alternative_etf_tilt_asset_ids": [
"<string>"
],
"asset_allocations": [
{
"asset_class_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_allocation": "<string>",
"direct_indexing_enabled": true,
"tilts": [
{
"factor": "<string>",
"tilt_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"index_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"impacts_non_benchmark_assets": true,
"is_part_of_benchmark": true
}
]
}
]
}
'import requests
url = "https://api.tilt.io/api/v1/custom/org/{organization_uuid}/asset_classes/"
payload = {
"name": "<string>",
"description": "<string>",
"benchmark_index_identifier": "<string>",
"index_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tilt_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"single_security_tilt_asset_id": "<string>",
"event_contract_tilt_asset_id": "<string>",
"alternative_etf_tilt_asset_ids": ["<string>"],
"asset_allocations": [
{
"asset_class_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_allocation": "<string>",
"direct_indexing_enabled": True,
"tilts": [
{
"factor": "<string>",
"tilt_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"index_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"impacts_non_benchmark_assets": True,
"is_part_of_benchmark": True
}
]
}
]
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
benchmark_index_identifier: '<string>',
index_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tilt_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
single_security_tilt_asset_id: '<string>',
event_contract_tilt_asset_id: '<string>',
alternative_etf_tilt_asset_ids: ['<string>'],
asset_allocations: [
{
asset_class_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
target_allocation: '<string>',
direct_indexing_enabled: true,
tilts: [
{
factor: '<string>',
tilt_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
index_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
impacts_non_benchmark_assets: true,
is_part_of_benchmark: true
}
]
}
]
})
};
fetch('https://api.tilt.io/api/v1/custom/org/{organization_uuid}/asset_classes/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"benchmark_index_name": "<string>",
"benchmark_index_identifier": "<string>",
"index_name": "<string>",
"index_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tilt_name": "<string>",
"tilt_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"single_security_tilt_asset_id": "<string>",
"single_security_symbol": "<string>",
"event_contract_tilt_asset_id": "<string>",
"alternative_etf_tilt_asset_ids": [
"<string>"
],
"is_composite": true,
"asset_allocations": [
{
"asset_class_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_class_name": "<string>",
"asset_class_description": "<string>",
"benchmark_index_identifier": "<string>",
"benchmark_index_name": "<string>",
"benchmark_symbol": "<string>",
"single_security_tilt_asset_id": "<string>",
"single_security_symbol": "<string>",
"is_composite": true,
"child_asset_allocations": "<array>",
"archived_at": "2023-11-07T05:31:56Z",
"target_allocation": "<string>",
"direct_indexing_enabled": true,
"tilts": [
{
"factor": "<string>",
"tilt": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"published_at": "2023-11-07T05:31:56Z"
},
"index": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"impacts_non_benchmark_assets": true,
"is_part_of_benchmark": true
}
]
}
],
"archived_at": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z"
}Asset Classes & Benchmarks
Create Asset Class
Create a new asset class in the organization
POST
/
api
/
v1
/
custom
/
org
/
{organization_uuid}
/
asset_classes
/
cURL
Authorizations
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Serializer for creating and updating AssetClass data. Requires exactly one universe definition.
Maximum string length:
255tilt_asset_id of a single ticker held at 100% by this asset class sleeve.
tilt_asset_id of an event contract targeted directly by this sleeve.
yes- yesno- no
Available options:
yes, no List of alternative ETF tilt_asset_ids. Only used when asset_class has a benchmark_index (ETF).
Child sleeve allocations for a composite sleeve. Inline child creation is not supported.
Show child attributes
Show child attributes
Response
201 - application/json
Serializer for reading AssetClass data.
Maximum string length:
255yes- Yesno- No
Available options:
yes, no Return list of alternative ETF tilt_asset_ids.
Whether this sleeve contains child sleeve allocations.
Show child attributes
Show child attributes
Archived sleeves remain resolvable by existing references but cannot be newly assigned.
⌘I